Subject: Question about IBM 6611 Router

From: "Steve Klein" <[email-masked]>
Date: Thu, 3 Feb 94 15:13:38 EST

Arnie Stamler writes:

>I have a question about a potential problem with the 6611 implementation.
>
>According to the RFC, the 6611 always transmits Test COMMAND on the DLC
>interface, never Test RESPONSE. The RFC indicates that a Test RESPONSE must
>be received on the DLC interface (DLC_RESOLVE_R) to cause a transition from
>RESOLVE PENDING to CIRCUIT PENDING. No exception is specified for the 6611.
>
>Dosen't this present a problem when two 6611 Routers on different
>(bridged) rings send Test COMMAND to each other on the DLC interface.
>Both sides can become 'stuck' in RESOLVE PENDING STATE while each one is
>waiting to receive TEST RESPONSE (DLC_RESOLVE_R) from the other.
>
>What is the reason that the 6611 does not behave according to the FSM tables
>specified in the RFC?

  Arnie, the note in RFC 1434 you are referring to is in error.  It
  should read like the note associated with receiving a NETBIOS_NR in
  DISCONNECTED state:

      Note 2-  The IBM 6611 will also send a Test command (i.e., a
      DLC_START_DL will be issued) to the station that originated the
      name resolution in order to start the data link.

  In actuality, a TEST cmd is sent in ADDITION to (rather than INSTEAD
  of) the TEST response to the station that originated the resolve
  procedure.  A station would probably hold off on sending an XID if
  a response to the TEST cmd was never received (due to lack or routing
  information).

  Thanks for bringing this to our attention.  I will update the FSMs
  I posted with a new note.

  Steve